From 438e26034c8b62dcadb0f83e2ea32cdd7bd05d8f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 06 2020 18:21:35 +0000
Subject: [PATCH 96/2232] Make PartialEq work with reference lhs


---

diff --git a/syntax/atom.rs b/syntax/atom.rs
index 903f561..9fb6554 100644
--- a/syntax/atom.rs
+++ b/syntax/atom.rs
@@ -54,3 +54,15 @@ impl PartialEq<Atom> for Type {
         }
     }
 }
+
+impl PartialEq<Atom> for &Ident {
+    fn eq(&self, atom: &Atom) -> bool {
+        *self == atom
+    }
+}
+
+impl PartialEq<Atom> for &Type {
+    fn eq(&self, atom: &Atom) -> bool {
+        *self == atom
+    }
+}

